Skip to content
Open app

reports.create

POST /api/v1/boards/{id}/reports. Works anonymously; credentials are used when sent (an invalid token is still a 401). Needs the board.view permission on…

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/reportscreate.mdtext/markdown
POST
/api/v1/boards/{id}/reports
Code sample: Shell / cURL
curl --request POST \
--url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reports \
--header 'Content-Type: application/json' \
--data '{ "reason": "phishing", "note": "example" }'

Works anonymously; credentials are used when sent (an invalid token is still a 401). Needs the board.view permission on the board. Body limit: 256 KB.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
reason
required
string
Allowed values: phishing malware spam illegal other
note
string
<= 1000 characters

Success.

Media typeapplication/json
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Example generated

{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}